Favicon

You are here: Home > API Reference > Android > Certificate Report > Get certificate report history

Get certificate report history

Required Permission: mdm.android.certificateReport.list

Get certificate report history

GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/android/enterprise/devices/{emmDeviceId}/certificate-reports/history
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/android/enterprise/devices/{emmDeviceId}/certificate-reports/history" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/android/enterprise/devices/{emmDeviceId}/certificate-reports/history", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/android/enterprise/devices/{emmDeviceId}/certificate-reports/history",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
emmDeviceId string
required
Match pattern: ^[a-fA-F0-9]{24}$

page integer
optional
Page number for paginated certificate report history results.
limit integer
optional
Maximum number of certificate report history snapshots to return per page.
sort string
optional
Sort expression applied to the certificate report history list.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
dateIni string
optional
Start of the reportedAt range. Defaults to three months before the request time.
dateEnd string
optional
End of the reportedAt range. Defaults to the request time.

Responses

200 Response application/json
status boolean required
data object required
items array [object] required
id string required
Identifier of the stored certificate report history snapshot.
Match pattern: ^[a-fA-F0-9]{24}$
reportedAt string required
Timestamp when this certificate report snapshot was received from the device.
totalReports integer required
Number of certificate report entries stored in this snapshot.
≥ 0 · ≤ 9007199254740991
reportsByState object required
Number of certificate report entries grouped by their reported state.
createdAt string required
Timestamp when the backend stored this history snapshot.
totalDocs integer required
≥ -9007199254740991 · ≤ 9007199254740991
limit integer required
≥ -9007199254740991 · ≤ 9007199254740991
hasPrevPage boolean required
hasNextPage boolean required
page integer required
≥ -9007199254740991 · ≤ 9007199254740991
totalPages integer required
≥ -9007199254740991 · ≤ 9007199254740991
prevPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
nextPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "reportedAt": "string",
                "totalReports": 0,
                "reportsByState": {},
                "createdAt": "string"
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}